/*****************************************************************************
 * Copyright (c) 2011-2016 The FIMTrack Team as listed in CREDITS.txt        *
 * http://fim.uni-muenster.de                                             	 *
 *                                                                           *
 * This file is part of FIMTrack.                                            *
 * FIMTrack is available under multiple licenses.                            *
 * The different licenses are subject to terms and condition as provided     *
 * in the files specifying the license. See "LICENSE.txt" for details        *
 *                                                                           *
 *****************************************************************************
 *                                                                           *
 * FIMTrack is free software: you can redistribute it and/or modify          *
 * it under the terms of the GNU General Public License as published by      *
 * the Free Software Foundation, either version 3 of the License, or         *
 * (at your option) any later version. See "LICENSE-gpl.txt" for details.    *
 *                                                                           *
 * FIMTrack is distributed in the hope that it will be useful,               *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of            *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the              *
 * GNU General Public License for more details.                              *
 *                                                                           *
 *****************************************************************************
 *                                                                           *
 * For non-commercial academic use see the license specified in the file     *
 * "LICENSE-academic.txt".                                                   *
 *                                                                           *
 *****************************************************************************
 *                                                                           *
 * If you are interested in other licensing models, including a commercial-  *
 * license, please contact the author at fim@uni-muenster.de      			 *
 *                                                                           *
 *****************************************************************************/

#ifndef UNITEDIALOG_HPP
#define UNITEDIALOG_HPP

#include <QDialog>

namespace Ui {
    class UniteDialog;
}

class UniteDialog : public QDialog
{
    Q_OBJECT
    
public:
    explicit UniteDialog(QWidget *parent = 0);
    ~UniteDialog();
    
public slots:
    void setup(QString const& larvaID, QStringList const& contemplableLarvaeIDs);
    
signals:
    void sendParameter(uint);
    
private slots:
    void on_pushButton_clicked();
    void on_pushButton_2_clicked();
    
private:
    Ui::UniteDialog *ui;
};

#endif // UNITEDIALOG_HPP
